Download it now!
Bug 80822 - MAILMERGE: Pressing outer Cancel button in Wizard crashes Writer
Summary: MAILMERGE: Pressing outer Cancel button in Wizard crashes Writer
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-02 16:58 UTC by Björn Michaelsen
Modified: 2015-10-15 14:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2014-07-02 16:58:32 UTC
Steps to reproduce:
1/ Tools->Mail Merge Wizard
2/ go through Wizard to "6. Edit Document" (use reasonably large dataset)
3/ press next
4/ a popup appears that shows progress "x/y documents .." with a cancel button
5/ Press the Cancel button on the still visible roadmap modal dialog (the one with "next", "back", "finish", not the one with the progress bar

expected behaviour:
mail merge gets aborted

actual behaviour:
LibreOffice crashes

IIRC its just an uncatched exception somewhere.
Comment 1 Björn Michaelsen 2014-07-02 17:00:35 UTC
ccing jmux to prevent conflicts, jmux is doing fixes in the area.
Comment 2 Julien Nabet 2015-02-21 14:26:20 UTC
Björn/Jan-Marek: Any update with last 4.4.0?
Comment 3 Commit Notification 2015-03-25 18:22:25 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ff90591d27330581da48badb2c5f1471d3aea27

tdf#80822 Convert MM progress dialogs to modal

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Matthew Francis 2015-03-30 11:56:55 UTC
Checking open crashers for regressions; this one is inherited from OOo - adjusting Version accordingly
Comment 5 Björn Michaelsen 2015-10-15 14:14:49 UTC
assuming fixed as per comment 3 => WFM